PHP-FPM not working after upgrade to PHP7

Discussion in 'Server Operation' started by DerSeppel, Jul 20, 2016.

  1. DerSeppel

    DerSeppel New Member

    Hello everybody,

    I'm out of ideas here. I updated my server to Ubuntu Xenial and PHP was updated to 7. php5 seems to be no longer installed.
    So I checked the perfect server tutorial and updated the PHP settings like this:


    However, I just get a Internal Server Error for sites handled by ISPConfig.
    The error log shows the following:

    [Wed Jul 20 08:38:06.445803 2016] [fastcgi:error] [pid 2162] (2)No such file or directory: [client 2a02:2ad0:245::37:34092] FastCGI: failed to connect to server "/var/www/clients/client1/web1/cgi-bin/php5-fcgi-[2a01:4f8:xx:xxx::2]": connect() failed
    [Wed Jul 20 08:38:06.445897 2016] [fastcgi:error] [pid 2162] [client 2a02:2ad0:245::37:34092] FastCGI: incomplete headers (0 bytes) received from server "/var/www/clients/client1/web1/cgi-bin/php5-fcgi-[2a01:4f8:xxx:xxx::2]"
    The message itself is clear and the reason is comprehensible: The files really do not exist.

    But whats the reason here? The file path is referring to php5-fcgi. Wouldn't that be php7?
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    That's a virtual path and not files, so they never exist.

    Which ISPConfig version do you use? ISPConfg 3.0.5.x is not compatible with Ubuntu 16.04. If you use a 3.0.5 release, then you will have to downgrade the OS again or update ISPConfig to the 3.1 beta version and then run a resync on all websites as all the paths to php have changed with the Ubuntu upgrade, so no existing vhost will work until it gets upgraded.

Share This Page